For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a bank statement PDF
      • GETRetrieve a bank statement
      • GETRetrieve the extraction results
      • GETList all bank statements
      • DELDeletes a bank statement
      • POSTQuickly extract account holder, institution and first account
LogoLogo
Legacy DocsSign in
API ReferenceBank Statements

Submit a bank statement PDF

POST
https://api.ntropy.com/v3/bank_statements
POST
/v3/bank_statements
$curl -X "POST" \
> "https://api.ntropy.com/v3/bank_statements" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl" \
> --form file=@bank_statement.pdf
1{
2 "id": "7f8dceac-2848-472d-b5c3-55cdbaf35a9b",
3 "status": "processing",
4 "created_at": "2024-01-01T00:00:00",
5 "file": {
6 "no_pages": 1,
7 "size": 4096
8 },
9 "name": "2014-01-01_2014-02-01_statement.pdf"
10}

Upload a PDF file for the main extraction workflow. Once the bank statement has finished processing, you can retrieve the results using /v3/bank_statements/{id}/results.

Complete guide: Bank Statements

Was this page helpful?
Previous

Retrieve a bank statement

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Response

Successful Response
idstring
A unique identifier for the bank statement job.
statusenum
The current status of the document.
Allowed values:
created_atdatetime
The date and time when the job was created.
fileobject
Information about the bank statement file being processed.
namestring or null
The name of the bank statement file, if available.
errorobject or null

Errors

422
Unprocessable Entity Error